package com.medipreco.loopboxplugin;

import com.medipreco.loopboxplugin.bluetooth.BluetoothCallback;

public class LoopboxCheckBluetooth implements BluetoothCallback {

  private LoopboxBasicChannel messageChannel = LoopboxBasicChannel.getInstance();

  @Override
  public void onBluetoothOff() {
    messageChannel.sendBluetoothCheck("DEACTIVE");
  }

  @Override
  public void onBluetoothTurningOn() {

  }

  @Override
  public void onBluetoothOn() {
    messageChannel.sendBluetoothCheck("ACTIVE");
  }

  @Override
  public void onBluetoothTurningOff() {

  }
}
